///////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2022, Softutils s.r.o., all rights eserved
//
///////////////////////////////////////////////////////////////////////////////

document.addEventListener('DOMContentLoaded', function() { SetPluginVersion(); UpdateStatus(''); } );

var g_AboutConnectedMTWCountdown = 30;

function SetPluginVersion()
{
    var manifestData = chrome.runtime.getManifest();
    document.getElementById('plugin_version').innerHTML = manifestData.version;
}

function UpdateStatus(runningApp)
{
    var status = runningApp;
    if (status.length > 0)
    {
        status = '<p style="color:green;">Status: <b>'+runningApp+'</b> is running.</p>';
    }
    else
    {
        if (g_AboutConnectedMTWCountdown < 0)
        {
            g_AboutConnectedMTWCountdown = 30;
        }
        status = '<p style="color:red;">Status: <b>Macro Commander is not running, trying to detect... (' + g_AboutConnectedMTWCountdown + ')</b></p>';
        g_AboutConnectedMTWCountdown--;
    }
    document.getElementById('mc_status').innerHTML = status;
}

setInterval(function()
{ 
    chrome.runtime.sendMessage({ about:1 }, function(response) {
        if (response !== undefined)
        {
            UpdateStatus(response.about);
        }
        });    
}, 1000);